<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    oC.putS("AUTH_op", "change" );

    // Messaggio di errore.
    String stErrMsg = oC.getS("AUTH_error");
    boolean withError = stErrMsg.length() > 0;


     String stStyle = "";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "qm_password_reset";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
    aggiungiEventoOnchangeAComboLanguage();
    setFocus( "AUTH_logon" );
}
//
// per non incasinare i controlli, aggiungo l'onChange alla combo delle location
// in maniera programmatica
//
function aggiungiEventoOnchangeAComboLanguage() {
    document.getElementById( "AUTH_language" ).onchange = OnChangeCboLanguage;
}
function OnChangeCboLanguage() {
    startTransaction('qm_language_selector', 'RESETPWD');
}
</script>


<%--
    MESSAGGIO DI ERRORE
--%>

<% if (withError) { %>

<p>

<div class="uk-child-width-1-3@m uk-grid-small uk-grid-match" uk-grid>
    <div> &nbsp; </div>

    <div class="uk-card uk-card-primary uk-card-body">
        <div class="uk-grid-small uk-flex-middle" uk-grid>
            <div class="uk-width-auto">
                <h3 class="uk-card-title"><a href="" uk-icon="icon: warning; ratio: 2"></a></h3>
            </div>
            <div class="uk-width-expand">
                <h4><%= stErrMsg %></h4>
            </div>
        </div>
    </div>

    <div> &nbsp; </div>
</div>


<% } %>



<div class="qm-auth">
<center>
<h1><%= oDec.k("pwres_reset_password") %>: <%= oC.getS("AUTH_user") %></h1>

<table border=0 cellpadding="4" class='Tabella' style="width: 250px">

<tr>
<td><nobr><label for="AUTH_pass"><%= oDec.k("pwres_pass") %>:</nobr></td>
<td><%= oH.password( "AUTH_pass", true, stStyle, 50 ) %></td>
</tr>

<tr>
<td><nobr><label for="AUTH_pass_2"><%= oDec.k("pwres_repeat_pass") %>:</nobr></td>
<td><%= oH.password( "AUTH_pass_2", true, stStyle, 50 ) %></td>
</tr>


<%= oH.hidden( "AUTH_op") %>
<%= oH.hidden( "AUTH_user") %>
<%= oH.hidden( "AUTH_token") %>

<tr><td>
 &nbsp;
</td><td>
<INPUT TYPE='submit' name="login"
   CLASS='qm-login actButton' data-verb="qm_password_reset"
   VALUE="<%= oDec.k("pwres_change") + " &raquo; "%>">

</td></tr>

<tr>
  <td><label for="AUTH_language"><%= oDec.k("logon_language") %>:</label></td>
  <td><%= oH.combo("AUTH_language", true, stStyle, oC.getLt( "LANG_languages"), 0, 1, "" ) %></td>
</tr>


</table>

</center>
</div>



<%@ include file="/includes/00_page_footer.jspf" %>

<%
// Reset password!
%>
