<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ page import="it.loway.tpf.presentation.html.decorators.*" %>
<%@ page import="it.loway.app.queuemetrics.configurazione.QAFormInfo" %>
<%@ page import="java.util.*" %>
<%
    // se non ho un contesto,
    // forza una transazione per iniziare....
    FA.startTransactionIfNoUser( request, response, "qm_start", "" );

%>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    // inizializza Decodes

    oDec.load( "masterkeyAbilitato", "masterkey_abilitato.txt", 0, 1 );
    String stWidthCmd   = "width: 200px;";
    String stWidthCombo = "width: 500px;";
    String swWidthRule = "width: 100px;";
    String stVerbPrefix = "xxx";
%>

<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";

  $(document).ready(function () {
    refreshExtraScoreChecboxes();
  });

}
</script>

<div class="qm-form-body-wide uk-text-center">
<h1 class="uk-text-center">
  <%= oDec.k("edit_record_qaformitem_title") %> <%= oC.getS("QFI_formName") %>
<!--[<%= oC.getS("QFI_formId") %>]-->
</h1>

<!-- new layout  -->
<div class="qm-form-body">
<fieldset class="qm-fieldset">
  <legend><%= oDec.k("edit_record_qaformitem_addnew") %></legend>

  <div class="qm-form-grid-3 uk-child-width-1-3@s uk-margin-top" uk-grid>
    <div class="uk-width-1-3@s"><%= oH.combo( "QFI_top_cmd", true, stWidthCmd, oC.getLt( "QFI_top_lt" ), 0, 1, "X" ) %></div>
    <div class="uk-width-1-3@s"><%= oH.combo( "QFI_top_cv",  true, stWidthCombo, oC.getLt( "QFI_combo_items" ), 0, 1, "-" ) %></div>

    <div class="uk-width-1-1">
      <%= oH.button( oDec.k("edit_record_save"), true, "", "qm_cfg2_qa_form_items_edit", "" ) %>
    </div>
  </div>

</fieldset>
</div>


<div class="qm-form-body-wide qm-enforce-form-format">



<table border="0" class="ST uk-margin-auto qm-table uk-table uk-table-small uk-table-divider uk-table-striped uk-table-hover uk-width-expand">
<% for ( int s = 0; s < QAFormInfo.MAX_SECTIONS; s++ ) {
    int nItems = oC.getI( "QFI_SEC_LEN_" + s );
    if ( oC.getS( "QFI_SEC_" + s ).length() > 0 ) {
%>
<tr class='ST_TR1'>

  <td width="200px" class="mao">
  <b><%= oDec.k("edit_record_qaformitem_section") %><%= oC.getS( "QFI_SEC_" + s ) %></b>
  <% if ( nItems == 0 ) { %>
      <br> &nbsp; <small><font color="gray"><%= oDec.k("edit_record_qaformitem_noitems") %></font></small>
  <% }; %>
  </td>

  <td width="500px">&nbsp;</td>

<% if (s == 0) { %>
  <td width="100px"><b><%= oDec.k("edit_record_qaformitem_activeif") %></b></td>
  <td width="50px"><b><%= oDec.k("edit_record_qaformitem_extra") %></b></td>
  <td width="50px"><b><%= oDec.k("edit_record_qaformitem_nonscoring") %></b></td>
<% } else { %>
  <td>&nbsp;</td>
<% }; %>


</tr>
<%
for ( int it = 0; it < nItems; it++ ) { %>
<tr class='ST_TR1'>
<td><%= oH.combo( "QFI_"+ s +"_" + it + "_cmd", true, stWidthCmd, oC.getLt( "QFI_"+ s +"_" + it + "_lt" ), 0, 1, "X" ) %></td>
<td><%= oH.combo( "QFI_"+ s +"_" + it + "_cv",  true, stWidthCombo, oC.getLt( "QFI_combo_items" ), 0, 1, "-" ) %></td>
<td><%= oH.textBox( "QFI_" + s + "_" + it + "_rule",  true, swWidthRule, 256 ) %></td>
<td><%= oH.checkBox( "QFI_" + s + "_" + it + "_extscore", "") %></td>
<td>
    <input class="refreshExtraScoreChecboxes Input" name="checkbox_<%="QFI_" + s + "_" + it + "_nonscoring"%>" id="checkbox_<%="QFI_" + s + "_" + it + "_nonscoring"%>" style="" <%= (oC.getS("QFI_" + s + "_" + it + "_nonscoring").compareTo("1") == 0)? "checked" : "" %> onclick="javaScript:onNonScoringClick(this, <%=s%>, <%=it%>)" type="CHECKBOX">
    <input class="refreshExtraScoreChecboxes" name="<%="QFI_" + s + "_" + it + "_nonscoring"%>" id="<%="QFI_" + s + "_" + it + "_nonscoring"%>" value="<%= oC.getS("QFI_" + s + "_" + it + "_nonscoring")%>" type="hidden">
</td>
</tr>
<% }; %>
<% }; %>
<% }; %>

<script>
    function refreshExtraScoreChecboxes() {
        $('input.refreshExtraScoreChecboxes').each(function(){
            if( $(this).attr('id').match(/checkbox_QFI_\d+_\d+_nonscoring/) ) {
                var temp = $(this).attr('id').match(/(\d+)_(\d+)/);
                var sectionNum = temp[1];
                var itemNum = temp[2];
                onNonScoringClick(this, sectionNum, itemNum);
            }
          });
    }

    function onNonScoringClick(parent, section, item) {
        if (parent == null)
            return;

        document.getElementById('QFI_' + section + '_' + item + '_nonscoring').value=(parent.checked ? '1':'');
        var extScoreChkBox = document.getElementById('checkbox_QFI_' + section + '_' + item + '_extscore');
        if (extScoreChkBox != null) {
            if (parent.checked) {
                extScoreChkBox.disabled=true;
                extScoreChkBox.checked = false;
                document.getElementById('QFI_' + section + '_' + item + '_extscore').value='';
            } else {

                extScoreChkBox.disabled=false;
            }
        }
    }
</script>
  </table>

  <p>
    <%= oH.button( oDec.k("edit_record_save"), true, "", "qm_cfg2_qa_form_items_edit", "" ) %>
    &nbsp;
    <%= oH.button( oDec.k("edit_record_editform"), true, "", "qm_cfg2_qa_forms_edit", oC.getS("QFI_formId")) %>
    &nbsp;
    <%= oH.button( oDec.k("edit_record_backtolist"), true, "", "qm_cfg2_qa_forms_list", "") %>
    <!--%= oH.button( "Agents", (oC.getI("TABCODE_POSSIBILI_id_coda") > 0 ) , "", "qm_cfg2_queues_agents", oC.getS("TABCODE_POSSIBILI_id_coda")) %-->
  </div>
</div>
<%@ include file="/includes/00_page_footer.jspf" %>
