<%@ page language="java" %>
<%@ page import="it.loway.tpf.*" %>
<%@ page import="it.loway.tpf.common.containers.*" %>
<%@ page import="it.loway.tpf.common.interfaces.*" %>
<%@ page import="it.loway.tpf.common.exceptions.*" %>
<%@ page import="it.loway.tpf.presentation.html.*" %>
<%@ include file="/includes/00_page_header.jspf" %>
<%
    //$Id: users_page.jsp,v 1.3 2015/09/28 08:41:15 marcos Exp $
    //
   ////////////////////DECORATORS/////////////////////////////////////
%>

<%
  LTable availableThemes = oC.getLt("THEME_themes");
%>



<script>
function onLoadApplicativo() {
	// transazione standard
	document.forms[0].<%= K.REQ_VERBO %>.value = "";
	document.forms[0].<%= K.REQ_PARAM %>.value = "";
}
</script>


<script>

    $(document).ready(function() {
        doOnLoad( <%= oC.getI( "WEB_DisableBackHistory" ) %>, "<%= stErr %>");
    });

    function writeTheme() {
        var theme = document.getElementById("THEME_selected_theme").value;
        setCookie('theme',theme,99999);
        location.reload();
    }

</script>


<div class="qm-form-body">
	<h1><%= oDec.k("userpage_title") %></h1>

	<div class="uk-flex uk-flex-middle uk-child-width-1-3@s" uk-grid>
		<div class="uk-text-right@s"><%= oDec.k("userpage_login") %>: </div>
		<div class="uk-width-2-3@s"> <i><%= oU.getLogin() %></i> </div>

		<div class="uk-text-right@s"> <%= oDec.k("userpage_name") %>: </div>
	  <div class="uk-width-2-3@s"> <i><%= oU.getRealName() %></i>  </div>

		<div class="uk-text-right@s"> <%= oDec.k("userpage_class") %>: </div>
		<div class="uk-width-2-3@s"> <i><%= oU.getNomeClasse() %></i> </div>

		<div class="uk-text-right@s"> <%= oDec.k("userpage_number_logons") %>: </div>
		<div class="uk-width-2-3@s"> <i><%= oU.getNLogon() %></i>   </div>

		<div class="uk-text-right@s"> <%= oDec.k("userpage_last_changed") %>: </div>
		<div class="uk-width-2-3@s"> <i><%= oU.getSysDtModifica() %></i>  </div>
	</div>

	<% if (oU.hasKey( "CHPASSWD") ) { %>
	<fieldset class="qm-fieldset">
	<legend><%= oDec.k("userpage_change_password") %></legend>
	<div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>
			<div class="uk-text-right@s">  <%= oDec.k("userpage_new_password") %>:  </div>
			<div> <%= oH.password( "USRPASS_newp1", true, "", 30) %>  </div>

			<div class="uk-text-right@s">  <%= oDec.k("userpage_retype") %>: </div>
			<div>  <%= oH.password( "USRPASS_newp2", true, "", 30) %>  </div>

			<div class="uk-text-right@s">  <%= oDec.k("userpage_old_password") %>:   </div>
			<div> <%= oH.password( "USRPASS_oldp", true, "", 30 ) %>  </div>

			<div class="uk-width-1-1 uk-text-center uk-margin-medium-top">  <%= oH.button( oDec.k("userpage_change_button"), true, "", "qm_user_change_password", "") %>  </div>
	</div>
	</fieldset>
	<% }; %>

	<% if (oU.hasKey( "CHPASSWD") ) { %>
	<fieldset class="qm-fieldset">
	<legend><%= oDec.k("userpage_change_theme") %></legend>
	<div class="qm-form-grid-3 uk-child-width-1-3@s" uk-grid>

            <div class="uk-text-right@s">  <%= oDec.k("userpage_theme") %>:   </div>
            <div> <%= oH.combo("THEME_selected_theme", true, "width: 300px;", availableThemes, 0, 1, NoCache.getCurrentTheme(request, oC)) %>  </div>

            <div class="uk-width-1-1 uk-text-center uk-margin-medium-top">
                <%= oH.buttonScript( oDec.k("userpage_change_button"), true, "", "writeTheme()") %>
            </div>
	</div>
	</fieldset>
	<% }; %>



</div>


<%--

	<table>
	<tr>
	    <td><%= oDec.k("userpage_login") %>: </td>
	    <td>  <i><%= oU.getLogin() %></i> </td>
	</tr>
	<tr>
	    <td> <%= oDec.k("userpage_name") %>: </td>
	    <td> <i><%= oU.getRealName() %></i>  </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_class") %>:  </td>
	    <td>  <i><%= oU.getNomeClasse() %></i> </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_number_logons") %>:  </td>
	    <td>   <i><%= oU.getNLogon() %></i>   </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_last_changed") %>:   </td>
	    <td>  <i><%= oU.getSysDtModifica() %></i>  </td>
	</tr>

	<% if (oU.hasKey( "CHPASSWD") ) { %>
	<tr>
	    <td>    &nbsp;     </td>
			<td>    &nbsp;    </td>
	</tr>

	<tr>
	    <td>   <b><%= oDec.k("userpage_change_password") %>:</b>   </td>
	    <td>	    &nbsp;    </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_new_password") %>:  </td>
	    <td>  <%= oH.password( "USRPASS_newp1", true, "width: 200px", 30) %>  </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_retype") %>: </td>
	    <td>  <%= oH.password( "USRPASS_newp2", true, "width: 200px", 30) %>  </td>
	</tr>
	<tr>
	    <td>  <%= oDec.k("userpage_old_password") %>:   </td>
	    <td> <%= oH.password( "USRPASS_oldp", true, "width: 200px", 30 ) %>  </td>
	</tr>
	<tr>
	    <td>  <%= oH.button( oDec.k("userpage_change_button"), true, "", "qm_user_change_password", "") %>  </td>
	    <td>   &nbsp;  </td>
	</tr>
	<% }; %>
	</table>

--%>

</div>
<%@ include file="/includes/00_page_footer.jspf" %>
<%
// $Log: users_page.jsp,v $
// Revision 1.3  2015/09/28 08:41:15  marcos
// jsp/jspf refactoring.
//
// Revision 1.2  2014/05/19 09:46:37  lenz
// Merge FRANKIE
//
// Revision 1.1.14.1  2014/05/13 13:33:39  mirkox
// Nuova Grafica
//
// Revision 1.1  2007/05/17 15:25:42  lenz
// Bug #100: cambio password.
//
//
//
//
//
%>
